# $Revision: 1.16 $, $Date: 2003/08/31 21:02:39 $
# $Id: asciijump.spec,v 1.16 2003/08/31 21:02:39 undefine Exp $
%define _ver	1.0.1beta
Summary:	(a)sci(i)jump game
Summary(pl):	Skoki narciarskie w ascii
Name:		asciijump
Version:	1.0.1
Release:	1.beta
License:	GPL
Group:		Applications/Games
Vendor:		Grzegorz Moskal <g.moskal@opengroup.org>
# Source0-md5:	d566ac2b38c03d4cf726e49e5fe7eb21
Source0:	http://otak.k-k.pl/asciijump/tgz/%{name}-%{_ver}.tar.gz
URL:		http://asciijump.prv.pl/
BuildRequires:	autoconf
BuildRequires:	conflib-devel
BuildRequires:	ctags
BuildRequires:	slang-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ski jumping in text mode.

%description -l pl
Skoki narciarskie w trybie tekstowym.

%prep
%setup -q -n asciijump-%{_ver}

%build
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/games/asciijump
# get rid of those subversion related directories
# FixMe: replace with find?
# find . -type d -name '\.svn' -exec rm -rf {} \;
rm -rf hills/.svn gfx/.svn
for i in gfx/*; do
	rm -rf $i/.svn
done
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README-pl
%attr(2755,root,games) %{_bindir}/asciijump
%attr(2755,root,games) %{_bindir}/aj-server
%attr(775,root,games) %{_var}/games/asciijump
%{_datadir}/asciijump
%{_mandir}/man6/asciijump.6*
%{_applnkdir}/Games/Arcade/asciijump.desktop
%{_pixmapsdir}/asciijump.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: asciijump.spec,v $
Revision 1.16  2003/08/31 21:02:39  undefine
- release 1.beta
- fix perms on binaries (2750->2755) - all people should can play ;)
- stb

Revision 1.15  2003/08/18 08:07:55  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/08/06 16:14:47  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.13  2003/07/07 04:23:49  blues
- many small fixes, inspired by kloczek

Revision 1.12  2003/05/28 12:27:55  adamg
- up to 1.0.1beta
- added Source0-md5

Revision 1.11  2003/05/25 05:45:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/05/03 20:48:53  adamg
- uptaded to 1.0.0beta (network support, yeah!)

Revision 1.9  2003/03/17 21:02:14  adamg
- get rid of those subversion stuff - it shouldn't go into package.

Revision 1.8  2003/03/17 16:17:07  qboosh
- don't force compressed man

Revision 1.7  2003/03/17 15:59:50  adamg
- use __autoconf macro
- added /var/games/asciijump directory (to store hill records)
- added missing man
- made binary sgid games

Revision 1.6  2003/03/17 14:14:13  adamg
- updated to 0.0.6

Revision 1.5  2003/03/08 01:17:56  adamg
- updated.

Revision 1.4  2003/03/07 23:44:24  gotar
- there is README, update sources

Revision 1.3  2003/03/02 00:41:34  wolf
- there's no README, only README-pl

Revision 1.2  2003/03/02 00:25:01  gotar
- added Summary(pl), URLs, README,
- adapterized,
- removed %post{,un},
- cosmetics,
- release 2.

Revision 1.1  2003/02/28 10:48:51  misto
- initial version
